(function($) {

  var resizeTimer; // Set resizeTimer to empty so it resets on page load

  $.fn.iframeResizer = function(options) {

    var $this = $(this);
    console.log( this );
    console.log( $this );
    console.log( $this.selector );

    var settings = $.extend({
      // defaults options.
      scrolling: "no",
      timer: 250
    }, options);

    $this.load(function() {
        $(this).height($(this).contents().find("html").height());
        $(this).attr("scrolling",settings.scrolling);
    });

    function resizeFunction(selector) {
      selector.height(selector.contents().find("html").height());
    };

    $(window).resize(function() {
      $this.each(function() {

        clearTimeout(resizeTimer);
        resizeTimer = setTimeout(resizeFunction($(this)), settings.timer);

      });
    });


  };

}(jQuery));
